package com.dcsoft.system.visitor.mapper;

import com.dcsoft.system.domain.SysPeople;
import com.dcsoft.system.visitor.domain.VisVisitorRegister;

import java.util.List;

/**
 * 访客注册Mapper接口
 *
 * @author dcsoft
 * @date 2024-05-21
 */
public interface VisVisitorRegisterMapper {
    /**
     * 查询访客注册
     *
     * @param id 访客注册主键
     * @return 访客注册
     */
    public VisVisitorRegister selectVisVisitorRegisterById(String id);

    /**
     * 查询访客注册列表
     *
     * @param visVisitorRegister 访客注册
     * @return 访客注册集合
     */
    public List<VisVisitorRegister> selectVisVisitorRegisterList(VisVisitorRegister visVisitorRegister);

    /**
     * 新增访客注册
     *
     * @param visVisitorRegister 访客注册
     * @return 结果
     */
    public int insertVisVisitorRegister(VisVisitorRegister visVisitorRegister);

    /**
     * 修改访客注册
     *
     * @param visVisitorRegister 访客注册
     * @return 结果
     */
    public int updateVisVisitorRegister(VisVisitorRegister visVisitorRegister);

    /**
     * 删除访客注册
     *
     * @param id 访客注册主键
     * @return 结果
     */
    public int deleteVisVisitorRegisterById(String id);

    /**
     * 批量删除访客注册
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVisVisitorRegisterByIds(String[] ids);

    String queryVisitorRegister(SysPeople sysPeople);

    void saveVisitorRegister(SysPeople people1);

    void updateVisitorRegisterByOpenid(SysPeople sysPeople);

    /**
     * 查询访客注册
     *
     * @param userId 访客注册主键
     * @return 访客注册
     */
    public VisVisitorRegister selectVisVisitorRegisterByUserId(Long userId);
}
